task Haplotyper {
	
    File ref_dir
    File dbsnp_dir

	String SENTIEON_INSTALL_DIR
	String fasta
	File recaled_bam
	File recaled_bam_index
	String dbsnp
	String sample
	String docker
	String cluster_config
	String disk_size

	File? regions
	Int? interval_padding
	String 

command <<<
		set -o pipefail
		set -e
		export SENTIEON_LICENSE=192.168.0.55:8990
		nt=$(nproc)
		if ${regions} then INTERVAL="--interval ${regions} --interval_padding ${interval_padding}" else INTERVAL=""
		${SENTIEON_INSTALL_DIR}/bin/sentieon driver -r ${ref_dir}/${fasta} -t $nt \
		-i ${recaled_bam} ${INTERVAL} \
		--algo Haplotyper -d ${dbsnp_dir}/${dbsnp} ${sample}_hc.vcf
	>>>
	
	runtime {
		docker:docker
    	cluster: cluster_config
    	systemDisk: "cloud_ssd 40"
    	dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}

	output {
		File vcf = "${sample}_hc.vcf"
		File vcf_idx = "${sample}_hc.vcf.idx"
	}
}


